# coding: utf-8
import os
import asyncio
from aiologger import Logger
from aiologger.formatters.base import Formatter
from aiologger.levels import LogLevel
from aiologger.handlers.files import AsyncFileHandler

formato = Formatter(fmt="[%(asctime)s.%(msecs)d][%(levelname)s] %(message)s", datefmt="%d/%m/%Y %H:%M:%S")


if not os.environ.get('LOG_FILE'):
	log = Logger.with_default_handlers(name='mayordomo-registro', formatter=formato, level=LogLevel.INFO)
else:
	log = Logger(name='mayordomo-registro')
	formatter=formato = formato
	log.add_handler(AsyncFileHandler(filename=os.environ.get('LOG_FILE'), level=LogLevel.INFO))

	



